import { type CSSProperties } from 'react';
type DialogHeaderRootProps = {
    /**
     * Если есть заголовок
     */
    hasTitle: boolean;
    /**
     * Если есть кнопка закрытия
     * */
    hasOnClose: boolean;
};
export declare const Wrapper: import("../styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
} & DialogHeaderRootProps, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export type DialogHeaderContentProps = {
    justifyContent: CSSProperties['justifyContent'];
    columnSpacing: number;
};
export declare const HeaderContent: import("../styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
} & DialogHeaderContentProps, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export {};
